View all methods
workflowRuns.trigger
Trigger a Workflow Run.
Facts
| Method | POST https://api.getdx.com/workflowRuns.trigger |
| Required scope | workflowRuns:trigger |
Arguments
Required arguments
| Name | Type | Description |
|---|---|---|
token |
Token |
Auth token passed as an HTTP header. |
workflow_run_identifier |
Text |
The unique identifier of the Workflow. |
Optional arguments
| Name | Type | Description |
|---|---|---|
entity_identifier |
Text |
The unique identifier of the Entity. Required for workflows with the execution scope of ENTITY. |
data |
Object |
JSON object containing parameter data. Each key is a parameter identifier. |
Example request
This is a typical request:
curl -X POST https://api.getdx.com/workflowRuns.trigger \
-H 'Accepts: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx' \
--data '{
"workflow_identifier": "my-example-workflow",
"entity-identifier": "my-app",
"data": {
"greeting": "Hello world"
}
}'
Example response
This is a typical success response:
{
"ok": true,
"workflow_run": {
"id": "00vx7bm6alfi"
}
}
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
No authentication token provided. |
invalid_auth |
Some aspect of authentication cannot be validated. |
workflow_run_attribute_validation_failed |
One or more of the main attributes of the Workflow Run payload (workflow_identifier or entity_identifier) are invalid. See the error and error_details fields for more information. |
workflow_run_data_validation_failed |
One or more parameter data fields is invalid. See the error_details field for more information. |